<!DOCTYPE html>
<html lang="en">

<head>
    <title>Bootstrap 4 Blog Template For Developers</title>

    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Blog Template">
    <meta name="author" content="Xiaoying Riley at 3rd Wave Media">
    <link rel="shortcut icon" href="favicon.ico">

    <!-- FontAwesome JS-->
    <script defer src="https://use.fontawesome.com/releases/v5.7.1/js/all.js" integrity="sha384-eVEQC9zshBn0rFj4+TU78eNA19HMNigMviK/PU/FFjLXqa/GKPgX58rvt5Z8PLs7" crossorigin="anonymous"></script>

    <!-- Plugin CSS -->
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.14.2/styles/monokai-sublime.min.css">

    <!-- Theme CSS -->
    <link id="theme-style" rel="stylesheet" href="assets/css/theme-1.css">


</head>

<body>

    <header class="header text-center">
        <h1 class="blog-name pt-lg-4 mb-0"><a href="index.html">Hugo Blog</a></h1>

        <nav class="navbar navbar-expand-lg navbar-dark">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>

            <div id="navigation" class="collapse navbar-collapse flex-column">
                <div class="profile-section pt-3 pt-lg-0">
                    <img class="profile-image mb-3 rounded-circle mx-auto" src="assets/images/hugo.fjij" alt="image">

                    <div class="bio mb-3">Hi, my name is Hugo. Passionnée de Securité informatique , je fait une blog dédié au CTF au BOX et au differents exploits...<br><a href="http://coudry-hugo.com/">Find out more about me</a></div>
                    <!--//bio-->
                    <ul class="social-list list-inline py-3 mx-auto">
                        <li class="list-inline-item"><a href="#"><i class="fab fa-twitter fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-linkedin-in fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-github-alt fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-stack-overflow fa-fw"></i></a></li>
                        <li class="list-inline-item"><a href="#"><i class="fab fa-codepen fa-fw"></i></a></li>
                    </ul>
                    <!--//social-list-->
                    <hr>
                </div>
                <!--//profile-section-->

                <ul class="navbar-nav flex-column text-left">
                    <li class="nav-item">
                        <a class="nav-link" href="index.html"><i class="fas fa-home fa-fw mr-2"></i>Blog Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="blog-post.html"><i class="fas fa-bookmark fa-fw mr-2"></i>Blog Post</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://coudry-hugo.com/"><i class="fas fa-user fa-fw mr-2"></i>About Me</a>
                    </li>
                </ul>

                <div class="my-2 my-md-3">

                    <a class="btn btn-primary" href="https://themes.3rdwavemedia.com/" target="_blank">Get in Touch</a>

                </div>
            </div>
        </nav>
    </header>

    <div class="main-wrapper">

        <article class="blog-post px-3 py-5 p-md-5">
            <div class="container">
                <header class="blog-post-header">
                    <h2 class="title mb-2">DC-1 Vulnhub</h2>
                    <div class="meta mb-3"><span class="date">Published 3 months ago</span><span class="time">10 min read</span><span class="comment"></span></div>
                </header>

                <div class="blog-post-body">
                    <figure class="blog-banner">
                        <a href="https://www.vulnhub.com/entry/dc-1,292/"><img class="img-fluid" src="assets/images/blog/dupral.png" alt="image"></a>

                    </figure>
                    <p>Bonjour les amis! Aujourd'hui, nous allons relever un autre défi boot2root appelé «DC-1: 1». Le mérite d'avoir fabriqué cette machine virtuelle revient à «DCAU» et c'est un autre défi boot2root dans lequel notre objectif est d'obtenir
                        un accès root pour terminer le défi. Vous pouvez télécharger cette VM <a href="https://www.vulnhub.com/entry/dc-1,292/" target="_blank">ici. </a></p>


                    <h3 class="mt-5 mb-3">Security level: Beginner</h3>
                    <pre>
					    <code>
Penetrating Methodology:

-	IP Discovery using netdiscover
-	Network scanning (Nmap)
-	Surfing HTTPS service port (80)
-	Finding Drupal CMS
-	Exploiting Drupalgeddon2 to get a reverse shell
-	Finding files with SUID bit set
-	Finding the “find” command with SUID bit set
-	Getting root shell with “find” command
-	Getting final flag
					    </code>
				    </pre>
                    <h3 class="mt-5 mb-3">Procédure pas à pas</h3>
                    <p>Commençons par analyser le réseau pour trouver notre cible.</p>
                    <img class="img-fluid" src="assets/images/blog/dupral.png" alt="image">
                    <p>Nous avons trouvé la cible</p>
                    <p> via la commande : netdiscover
                        <img src="assets/images/blog/DC-1/1.png" alt="image">
                        <p>Une fois cette partie terminée nous allons passer à la partie scan ports pour connaitre Ports d’écoute de la machine et les services avec lesquels elle fonctionne.</p>
                        <p> Nous allons utilisé nmap, outils de scanne réseau , qui vas nous permettre de remonté les ports ouverts sur une machines et bien plus.</p>
                        <p>la commande a utilisé : nmap -sV -sC -p 22,80,8080 IP du serveur victime</p>
                        <img src="assets/images/blog/DC-1/2.png" alt="image">
                        <p>Une fois cette partie terminée aller sur le site de la victime pour avoir plus d’information.</p>
                        <p>Vous avez trouvé de bonne information ? Parfait ! </p>
                        <p>Qu’avez-vous remarqué ? </p>
                        <br></br>
                        <p>Aprés la pharse de Decouverte, nous avons assez d'information pour pouvoir memer plusieurs attaques.</p>
                        <p>Nous avons vue que le site et un site sous Drupal un petit tour sur exploit-db.com Le but et de trouvé une faille ou vulnérabilité dans Drupal 7. Parfait Drupalgeddon2 et là pour vous !! </p>
                        <p>Aller sur le site https://github.com/jirojo2/drupalgeddon2 Il faudra installé highline . Actus un peu relou a trouvé je vous donne la clef tous suite ! Une erreur vas arriver dans exécution de drupalgeddon2, dans un terminal exécuté
                            :
                        </p>
                        <p>gem install highline</p>
                        <p>Une fois tous installé et prêt drupalgeddon2 devrait fonctionné on vas lancé l’outils :</p>
                        <p>Drupalgeddon2.rb http://IP victime/</p>
                        <img src="assets/images/blog/DC-1/3.png" alt="image">
                        <p>Apre avois lancé L’exploit ! nous voyons un payload qui c'est introduit sur le serveur sont nom shell.php. Nous allons passer à la phrase de prise de contrôle et d’élévation de privilège. </p>
                        <p>Nous allons ouvris un deuxième terminal ou nous allons mettre une sonde d’écoute avec Netcat .</p>
                        <p>la commande et : nc -lvnp 1234</p>
                        <img src="assets/images/blog/DC-1/4.png" alt="image">
                        <p>Puis nous allons retourne sur notre premier terminal, pour y insert une porte d'entrée </p>
                        <img src="assets/images/blog/DC-1/5.png" alt="image">
                        <p>Une fois cette commande exécutée sur votre terminal d’écoute (le deuxième) vous allez trouver ceci</p>
                        <img src="assets/images/blog/DC-1/6.png" alt="image">
                        <p>Si vous vous trouvez a ce moments vous allez identiqué une commande bien connue qui permet de lister les repertoire et document d’un dossiers ? une idée ? LS bien sur ! </p>
                        <img src="assets/images/blog/DC-1/7.png" alt="image">
                        <p> Une fois arrivé à cette étape nous allons avoir besoin d'ouvrir un shell à distance pour prendre le controle du Serveur, nous allons donc importé un module bash.</p>
                        <img src="assets/images/blog/DC-1/8.png" alt="image">
                        <p>Vous pouvez faire un ls pour repère et savoir dans quel répertoire nous somme situé, la commande ls -l , vous permettra de connaitre les droits appliqué sur les répertoires.</p>
                        <p>Nous pouvons voir que le répertoire /tmp/ continent des droits plus avantage que sur d'autres répertoires</p>
                        <p>Nous irons nous placé dans ce répertoires pour continué l'attaques</p>
                        <p>Nous avons mis en place la connexion tunnel entre la victime et l’attaquant. Il nous reste plus cas obtenir un accès root pour compromettre la machine. Nous allons crée un petit Serveur Web Pour stock temporairement un exploit
                            d’escalade de privilège. Plusieurs fassent si apache et installer démarrer le service sinon avec python un simplehttpserver fera l’affaires On vas utiliser apache pour ça simplicité … quoi que python aurais était vraiment simple
                            ... </p>
                        <p> on vas démarrer le Service apache2:</p>
                        <p>Service apache2 start</p>
                        <p>Nous allons aller sur internet pour trouvez une fail ou un exploit d’escalade sur linux. Pas trop compliqué j’en connais un qui vas vous permettre de faire ce que nous avons besoin. Direction GITHUB pour télécharger LinEnum ! https://github.com/rebootuser/LinEnum
                        </p>
                        <p>Une fois téléchargé rien de plus simple. On vas venir extraire le fichier pour trouver LinEnum.sh que nous allons copier coller dans le repertoire de notre Serveur Web Temporaire .</p>
                        <p>La commande serais :</p>
                        <p>Cp LinEnum.sh /var/www/html</p>
                        <p> Voila une fois cette partie fait il nous reste plus cas uploadé notre exploit sur la cible . Retournons sur notre terminal d’écoute . celui qui a permet import du /bin/bash sur le serveur de la victime .</p>
                        <p>Ensuite nous allons télécharge notre exploit LinEnum.sh sur le serveur cible, bien sur executé le.
                            <p>
                                <img src="assets/images/blog/DC-1/9.png" alt="image" </p>
                                <p>Ce qui vas nous intéresse dans toutes cette massa d’information et ceci :</p>
                                <img src="assets/images/blog/DC-1/10.png" alt="image">
                                <p>Apre avoirs vue ceci une bonne recherche sur internet vous donnera de bon conseille pour finir l’attaque. Pour comprendre la méthodologie vous allez devoirs lire un peu : https://payatu.com/guide-linux-privilege-escalation/
                                    sur ce site il vous explique comment grâce a des faille ou des erreurs humains on peut récupère un utilisateur qui na pas de droit et de le mettre root ou admin de la machine. </p>
                                <p>Cette commande : find / -perm -u=s -type f 2>/dev/null ### – It prints the executables which have SUID bit set</p>
                                <p>Comme la commande «find» a un bit SUID défini, nous pouvons exécuter la commande en tant qu'utilisateur «root». Nous créons un fichier appelé "test" et utilisons la commande "find" pour vérifier si exécute les commandes
                                    en tant qu'utilisateur root, la raison de la création d'un fichier est que nous pouvons utiliser avec la commande "find". L'exécuter avec un seul fichier exécutera la commande une seule fois. Après avoir exécuté la
                                    commande «whoami», nous constatons que nous pouvons exécuter des commandes en tant qu'utilisateur root. Nous exécutons maintenant «/ bin / bash» à l'aide de la commande «find» et réussissons à générer un shell en tant
                                    qu'utilisateur root. Nous allons maintenant dans le répertoire / root et trouvons un fichier appelé "thefinalflag.txt". Nous examinons le contenu du fichier et trouvons un message de félicitations pour avoir terminé
                                    la machine virtuelle.</p>
                                <br></br>
                                <p>touch test.txt</p>
                                <p>find test.txt -exec "whoami" \;</p>
                                <p>find test.txt -exec "/bin/sh" \;</p>
                                <p>cat thefinalflag.txt</p>
                                <br></br>
                                <p>Auteur de la VM: Sayantan Bera is a technical writer at hacking articles and cybersecurity enthusiast.
                                    <p>
                                        <a href="https://www.linkedin.com/in/sayantan-bera-2098a613b/">Contact ici</a>


                                        <nav class="blog-nav nav nav-justified my-5">
                                            <a class="nav-link-prev nav-item nav-link rounded-left" href="index.html">Previous<i class="arrow-prev fas fa-long-arrow-alt-left"></i></a>
                                            <a class="nav-link-next nav-item nav-link rounded-right" href="blog-list.html">Next<i class="arrow-next fas fa-long-arrow-alt-right"></i></a>
                                        </nav>

                                        <div class="blog-comments-section">
                                            <div id="disqus_thread"></div>
                                            <script>
                                                /**
                                                 *  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT 
                                                 *  THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR 
                                                 *  PLATFORM OR CMS.
                                                 *  
                                                 *  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: 
                                                 *  https://disqus.com/admin/universalcode/#configuration-variables
                                                 */
                                                /*
                                                var disqus_config = function () {
                                                    // Replace PAGE_URL with your page's canonical URL variable
                                                    this.page.url = PAGE_URL;  
                                                    
                                                    // Replace PAGE_IDENTIFIER with your page's unique identifier variable
                                                    this.page.identifier = PAGE_IDENTIFIER; 
                                                };
                                                */

                                                (function() { // REQUIRED CONFIGURATION VARIABLE: EDIT THE SHORTNAME BELOW
                                                    var d = document,
                                                        s = d.createElement('script');

                                                    // IMPORTANT: Replace 3wmthemes with your forum shortname!
                                                    s.src = 'https://3wmthemes.disqus.com/embed.js';

                                                    s.setAttribute('data-timestamp', +new Date());
                                                    (d.head || d.body).appendChild(s);
                                                })();
                                            </script>
                                            <noscript>
					    Please enable JavaScript to view the 
					    <a href="https://disqus.com/?ref_noscript" rel="nofollow">
					        comments powered by Disqus.
					    </a>
					</noscript>
                                        </div>
                                        <!--//blog-comments-section-->

                </div>
                <!--//container-->
        </article>

        <section class="promo-section theme-bg-light py-5 text-center">
            <div class="container">
                <h2 class="title">Promo Section Heading</h2>
                <p>You can use this section to promote your side projects etc. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. </p>
                <figure class="promo-figure">
                    <a href="https://made4dev.com" target="_blank"><img class="img-fluid" src="assets/images/promo-banner.jpg" alt="image"></a>
                </figure>
            </div>
            <!--//container-->
        </section>
        <!--//promo-section-->

        <footer class="footer text-center py-2 theme-bg-dark">

            <!--/* This template is released under the Creative Commons Attribution 3.0 License. Please keep the attribution link below when using for your own project. Thank you for your support. :) If you'd like to use the template without the attribution, you can buy the commercial license via our website: themes.3rdwavemedia.com */-->
            <small class="copyright">Designed with <i class="fas fa-heart" style="color: #fb866a;"></i> by <a href="http://themes.3rdwavemedia.com" target="_blank">Xiaoying Riley</a> for developers</small>

        </footer>

        </div>
        <!--//main-wrapper-->


        <!-- *****CONFIGURE STYLE (REMOVE ON YOUR PRODUCTION SITE)****** -->
        <div id="config-panel" class="config-panel d-none d-lg-block">
            <div class="panel-inner">
                <a id="config-trigger" class="config-trigger config-panel-hide text-center" href="#"><i class="fas fa-cog fa-spin mx-auto" data-fa-transform="down-6" ></i></a>
                <h5 class="panel-title">Choose Colour</h5>
                <ul id="color-options" class="list-inline mb-0">
                    <li class="theme-1 active list-inline-item">
                        <a data-style="assets/css/theme-1.css" href="#"></a>
                    </li>
                    <li class="theme-2  list-inline-item">
                        <a data-style="assets/css/theme-2.css" href="#"></a>
                    </li>
                    <li class="theme-3  list-inline-item">
                        <a data-style="assets/css/theme-3.css" href="#"></a>
                    </li>
                    <li class="theme-4  list-inline-item">
                        <a data-style="assets/css/theme-4.css" href="#"></a>
                    </li>
                    <li class="theme-5  list-inline-item">
                        <a data-style="assets/css/theme-5.css" href="#"></a>
                    </li>
                    <li class="theme-6  list-inline-item">
                        <a data-style="assets/css/theme-6.css" href="#"></a>
                    </li>
                    <li class="theme-7  list-inline-item">
                        <a data-style="assets/css/theme-7.css" href="#"></a>
                    </li>
                    <li class="theme-8  list-inline-item">
                        <a data-style="assets/css/theme-8.css" href="#"></a>
                    </li>
                </ul>
                <a id="config-close" class="close" href="#"><i class="fa fa-times-circle"></i></a>
            </div>
            <!--//panel-inner-->
        </div>
        <!--//configure-panel-->



        <!-- Javascript -->
        <script src="assets/plugins/jquery-3.3.1.min.js"></script>
        <script src="assets/plugins/popper.min.js"></script>
        <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>

        <!-- Page Specific JS -->
        <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.14.2/highlight.min.js"></script>

        <!-- Custom JS -->
        <script src="assets/js/blog.js"></script>

        <!-- Style Switcher (REMOVE ON YOUR PRODUCTION SITE) -->
        <script src="assets/js/demo/style-switcher.js"></script>


</body>

</html>